%define oname  dalli

# Depends on Rails and it's needed by Rails
%global enable_test 0

Name:               ruby-%{oname}
Version:            3.2.2
Release:            %mkrel 1
Summary:            High performance memcached client for Ruby
Group:              Development/Ruby
License:            MIT
URL:                https://github.com/mperham/dalli
Source0:            https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires:      pkgconfig(ruby)
%if 0%{enable_test} > 0
BuildRequires:       memcached
BuildRequires:       rubygem(minitest)
BuildRequires:       rubygem(mocha)
BuildRequires:       rubygem(rails)
%endif
BuildRequires:       rubygems
BuildArch:           noarch
Provides:            rubygem(oname}) = %{version}

%description
High performance memcached client for Ruby

%files
%dir %{gem_instdir}
%{gem_instdir}/*



%{gem_spec}
#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
 
%description    doc
Documents, Rdoc & RI documentation for %{name}.
 
%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------
 
%prep
%gem_setup
 
%build
%gem_build
 
%install
%gem_install

%check
%if 0%{enable_test} > 0
pushd .%{gem_instdir}
# connection_pool is not yet in Fedora
sed -i -e '3d' test/test_active_support.rb
sed -i -e '491,506d' test/test_active_support.rb

ruby -Ilib:test -e "Dir.glob('./test/test_*.rb').sort.each{ |x| require x }"
popd
%endif





%changelog
* Mon Aug 15 2022 pterjan <pterjan> 3.2.2-1.mga9
+ Revision: 1877836
- Update to 3.2.2

* Tue May 03 2022 pterjan <pterjan> 3.2.1-1.mga9
+ Revision: 1855707
- Update to 3.2.1

* Fri Mar 25 2022 umeabot <umeabot> 2.7.10-3.mga9
+ Revision: 1826884
- Mageia 9 Mass Rebuild

* Tue Oct 27 2020 pterjan <pterjan> 2.7.10-2.mga8
+ Revision: 1639902
- Drop broken BuildRequires

* Sat Mar 28 2020 pterjan <pterjan> 2.7.10-1.mga8
+ Revision: 1561980
- Update to 2.7.10

* Fri Feb 14 2020 umeabot <umeabot> 2.7.9-2.mga8
+ Revision: 1520103
- Mageia 8 Mass Rebuild

* Sun Nov 04 2018 pterjan <pterjan> 2.7.9-1.mga7
+ Revision: 1328166
- Update to 2.7.9

* Fri Sep 21 2018 umeabot <umeabot> 2.7.8-2.mga7
+ Revision: 1290833
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 pterjan <pterjan> 2.7.8-1.mga7
+ Revision: 1221847
- Update to 2.7.8

* Sun Apr 01 2018 pterjan <pterjan> 2.7.7-1.mga7
+ Revision: 1214120
- Update to 2.7.7

* Wed Oct 19 2016 pterjan <pterjan> 2.7.6-2.mga6
+ Revision: 1062525
- Use gem_setup

* Tue Apr 05 2016 spuhler <spuhler> 2.7.6-1.mga6
+ Revision: 998557
- upgrade to vers. 2.7.6

* Sat Jan 02 2016 pterjan <pterjan> 2.7.5-1.mga6
+ Revision: 918592
- Update to 2.7.5

* Sat Dec 12 2015 spuhler <spuhler> 2.7.4-1.mga6
+ Revision: 909704
- added non packaged files
- fixed group
- imported package ruby-dalli

